<?php
/**
 * The template part for displaying services
 *
 * @package lawyer-lite
 * @subpackage lawyer-lite
 * @since lawyer-lite 1.0
 */
?>  
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<article class="row page-box p-4 mb-4" id="post-<?php the_ID(); ?>" <?php post_class(); ?> >
  <div class="post-thumb col-lg-5 col-md-5">
    <?php if(has_post_thumbnail() && get_theme_mod( 'lawyer_lite_show_featured_image_post',true) != '') { ?>
        <?php 
            if(has_post_thumbnail()) { ?>
            <div class="box-image col-lg-6 col-md-6">
                <?php the_post_thumbnail();  ?>
            </div>
        <?php } ?>
    <?php } ?>
  </div>
  <div class="new-text <?php if(has_post_thumbnail() && get_theme_mod( 'lawyer_lite_show_featured_image_post',true) != '') { ?>col-lg-7 col-md-7<?php } else { ?>col-lg-12 col-md-12 <?php } ?>">
    <?php if( get_theme_mod( 'lawyer_lite_date_hide',true) != '' || get_theme_mod( 'lawyer_lite_author_hide',true) != '' || get_theme_mod( 'lawyer_lite_comment_hide',true) != '' || get_theme_mod( 'lawyer_lite_time_hide',true) != '') { ?>
      <div class="metabox mb-3">
        <?php if( get_theme_mod( 'lawyer_lite_date_hide',true) != '') { ?>
          <span class="entry-date me-2"><i class="<?php echo esc_attr(get_theme_mod('lawyer_lite_date_icon','fa fa-calendar')); ?>"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><?php echo esc_html( get_the_date() ); ?><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a><span class="ms-2"><?php echo esc_html( get_theme_mod('lawyer_lite_metabox_separator_blog_post','|') ); ?></span></span>
        <?php } ?>
        <?php if( get_theme_mod( 'lawyer_lite_author_hide',true) != '') { ?>
          <span class="entry-author me-2"><i class="<?php echo esc_attr(get_theme_mod('lawyer_lite_author_icon','fa fa-user')); ?>"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?><span class="screen-reader-text"><?php the_author(); ?></span></a><span class="ms-2"><?php echo esc_html( get_theme_mod('lawyer_lite_metabox_separator_blog_post','|') ); ?></span></span>
        <?php } ?>
        <?php if( get_theme_mod( 'lawyer_lite_comment_hide',true) != '') { ?>
          <span class="entry-comments me-2"><i class="<?php echo esc_attr(get_theme_mod('lawyer_lite_comment_icon','fas fa-comments')); ?>"></i><?php comments_number( __('0 Comment', 'lawyer-lite'), __('0 Comments', 'lawyer-lite'), __('% Comments', 'lawyer-lite') ); ?><span class="ms-2"><?php echo esc_html( get_theme_mod('lawyer_lite_metabox_separator_blog_post','|') ); ?></span></span>
        <?php } ?>
        <?php if( get_theme_mod( 'lawyer_lite_time_hide',true) != '') { ?>
          <span class="entry-time me-2"><i class="<?php echo esc_attr(get_theme_mod('lawyer_lite_time_icon','fas fa-clock')); ?>"></i><?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
      </div>
    <?php }?>
    <h2><a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php echo the_title_attribute(); ?>" class="text-uppercase"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if(get_theme_mod('lawyer_lite_blog_post_description_option') == 'Full Content'){ ?>
      <?php the_content(); ?>
    <?php }
    if(get_theme_mod('lawyer_lite_blog_post_description_option', 'Excerpt Content') == 'Excerpt Content'){ ?>
      <?php if(get_the_excerpt()) { ?>
        <div class="entry-content"><p><?php $lawyer_lite_excerpt = get_the_excerpt(); echo esc_html( lawyer_lite_string_limit_words( $lawyer_lite_excerpt, esc_attr(get_theme_mod('lawyer_lite_excerpt_number','20')))); ?><?php echo esc_html( get_theme_mod('lawyer_lite_post_suffix_option','...') ); ?></p></div>
      <?php }?>
    <?php }?>
    <?php if( get_theme_mod('lawyer_lite_button_text','Read More') != ''){ ?>
        <div class="second-border mt-4">
          <a href="<?php the_permalink();?>" class="blogbutton-small" title="<?php esc_attr_e( 'Read More', 'lawyer-lite' ); ?>"><?php echo esc_html(get_theme_mod('lawyer_lite_button_text','Read More'));?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('lawyer_lite_button_text','Read More'));?></span></a>
        </div>
    <?php } ?>
  </div>
  <div class="clearfix"></div>
</article>